> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automate.ax/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Automate.ax automations are TypeScript programs.
> Use Bun for installation and command examples.
> Use Automate.ax for the product name and automate.ax for the package, CLI, and domain.
> Treat documented public APIs as current; do not invent transitional or deprecated names.

# Get organization

> Returns organization details, members, invitations, projects, plan, and usage.



## OpenAPI

````yaml https://automate.ax/api/v1/openapi.json get /organizations/{organizationId}
openapi: 3.1.1
info:
  title: Automate.ax API
  version: 0.0.0
servers:
  - url: https://automate.ax/api/v1
security:
  - bearerAuth: []
paths:
  /organizations/{organizationId}:
    get:
      tags:
        - Organizations
      summary: Get organization
      description: >-
        Returns organization details, members, invitations, projects, plan, and
        usage.
      operationId: getOrganization
      parameters:
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationDetails'
components:
  schemas:
    OrganizationDetails:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        logo:
          anyOf:
            - type: string
            - type: 'null'
        metadata:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
          format: date-time
          x-native-type: date
        role:
          $ref: '#/components/schemas/OrganizationRole'
        memberCount:
          type: number
        pendingInvitationCount:
          type: number
        projectCount:
          type: number
        activeSubscription:
          anyOf:
            - $ref: '#/components/schemas/ActiveSubscription'
            - type: 'null'
        plan:
          enum:
            - free
            - pro
            - enterprise
          type: string
        limits:
          type: object
          properties:
            aiSpendUsd:
              type: number
            emailRecipients:
              type: number
            projects:
              type: number
            seats:
              type: number
          required:
            - aiSpendUsd
            - emailRecipients
            - projects
            - seats
        usage:
          type: object
          properties:
            aiSpendUsd:
              type: number
            emailRecipients:
              type: number
          required:
            - aiSpendUsd
            - emailRecipients
        members:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationMember'
        invitations:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationInvitation'
        projects:
          type: array
          items:
            $ref: '#/components/schemas/OrganizationProject'
      required:
        - id
        - name
        - logo
        - metadata
        - createdAt
        - role
        - memberCount
        - pendingInvitationCount
        - projectCount
        - activeSubscription
        - plan
        - limits
        - usage
        - members
        - invitations
        - projects
    OrganizationRole:
      enum:
        - member
        - admin
        - owner
      type: string
    ActiveSubscription:
      type: object
      properties:
        id:
          type: string
        plan:
          type: string
        status:
          type: string
        periodEnd:
          anyOf:
            - type: string
              format: date-time
              x-native-type: date
            - type: 'null'
        cancelAtPeriodEnd:
          type: boolean
      required:
        - id
        - plan
        - status
        - periodEnd
        - cancelAtPeriodEnd
    OrganizationMember:
      type: object
      properties:
        id:
          type: string
        userId:
          type: string
        role:
          $ref: '#/components/schemas/OrganizationRole'
        createdAt:
          type: string
          format: date-time
          x-native-type: date
        email:
          type: string
          format: email
        name:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - id
        - userId
        - role
        - createdAt
        - email
        - name
        - image
    OrganizationInvitation:
      type: object
      properties:
        id:
          type: string
        email:
          type: string
          format: email
        role:
          anyOf:
            - $ref: '#/components/schemas/OrganizationRole'
            - type: 'null'
        status:
          type: string
        createdAt:
          type: string
          format: date-time
          x-native-type: date
        expiresAt:
          type: string
          format: date-time
          x-native-type: date
      required:
        - id
        - email
        - role
        - status
        - createdAt
        - expiresAt
    OrganizationProject:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        createdAt:
          type: string
          format: date-time
          x-native-type: date
      required:
        - id
        - name
        - createdAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Automate.ax user session bearer token.

````